OpenRouter [Vision]
ইন্টিগ্রেট করুন
openrouter/router/vision
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router/vision?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router/vision?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router/vision", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/bn/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openrouter/router/vision",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}
}
Doitong API-এর মাধ্যমে OpenRouter [Vision] মডেল (openrouter/router/vision) কল করুন। এজেন্টদের জন্য ডকুমেন্টেশন: https://doitong.com/bn/developers/models/openrouter/router/vision.md
POST https://api.doitong.com/v1/run/openrouter/router/vision?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}
রেসপন্সের স্ট্যাটাস যদি "queued" বা "running" হয়, তাহলে এটি "succeeded" না হওয়া পর্যন্ত GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 পোল করুন; ফাইলগুলো outputs[].url-এ থাকে। রান করার আগেই সঠিক মূল্য জানতে একই বডি দিয়ে POST https://api.doitong.com/v1/quote/openrouter/router/vision করুন।
প্রতি রান সর্বোচ্চ ১৪.৩৪$ পর্যন্ত প্রকৃত ব্যবহার অনুযায়ী চার্জ করা হয়, বাকি অর্থ ফেরত দেওয়া হয় এই পেজে চালান
আপনার নতুন API কী। এটি শুধু এখনই দেখানো হচ্ছে এবং এটি ইতিমধ্যে নিচের কোড ও API কী ফিল্ডে রয়েছে। এটি গোপন রাখুন: ব্রাউজারে চলা কোডে কখনো এটি রাখবেন না।
আপনার প্রথম ফলাফল এখানে আসবে
নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।
একটি অনুরোধ তৈরি করুন
মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।
/run/openrouter/router/vision?wait=20
মূল্য → ১৪.৩৪$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router/vision?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router/vision?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router/vision", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openrouter/router/vision",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
},
"wait_seconds": 20
}
}
}
এই অনুরোধ চালান
আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান
OpenRouter [Vision] সম্পর্কে
একটি `prompt` এবং `model`-এ ভিশন-সক্ষম ভাষা মডেলের নাম গ্রহণ করে, তারপর একটি টেক্সট উত্তর ফেরত দেয়। `image_urls`-এর মাধ্যমে ছবি এবং `pdf_urls`-এর মাধ্যমে ডকুমেন্ট সংযুক্ত করা যায়; পরেরটি শুধু PDF ফাইল গ্রহণ করে। `system_prompt`, 0 থেকে 2 পর্যন্ত `temperature`, `max_tokens`, ঐচ্ছিক রিজনিং আউটপুট এবং ওয়েব সার্চও সমর্থন করে।
প্যারামিটার
ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো
image_urlsঐচ্ছিক
images
pdf_urlsঐচ্ছিক
promptআবশ্যক
system_promptঐচ্ছিক
modelআবশ্যক
reasoningঐচ্ছিক
temperatureঐচ্ছিক
max_tokensঐচ্ছিক
enable_web_searchঐচ্ছিক
web_search_optionsঐচ্ছিক
web_search_options.engineঐচ্ছিক
web_search_options.max_resultsঐচ্ছিক
web_search_options.max_usesঐচ্ছিক
web_search_options.max_total_resultsঐচ্ছিক
web_search_options.search_context_sizeঐচ্ছিক
web_search_options.max_charactersঐচ্ছিক
web_search_options.allowed_domainsঐচ্ছিক
web_search_options.excluded_domainsঐচ্ছিক
web_search_options.user_locationঐচ্ছিক
web_search_options.user_location.typeঐচ্ছিক
web_search_options.user_location.cityঐচ্ছিক
web_search_options.user_location.regionঐচ্ছিক
web_search_options.user_location.countryঐচ্ছিক
web_search_options.user_location.timezoneঐচ্ছিক
ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল
আউটপুট
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openrouter/router/vision",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 14340,
"usd": "14.34",
"charged": 14340,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "openai/gpt-6-sol"
},
"output": {
"output": "A close-up of a tiger's face focusing on its bright orange iris and the area around its eye, with white fur eyebrows and a contrasting black and rich orange striped fur pattern. The word \"FLUX\" is overlaid in bold, white, brush-stroke styled text across the tiger's face.",
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 0,
"cost": 1.0,
"prompt_tokens_details": {
"cached_tokens": 0,
"cache_write_tokens": 0
}
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
আউটপুটের ফিল্ড
- output
- stringমডেল দ্বারা তৈরি ফলাফল।
- usage
- object {prompt_tokens, completion_tokens, total_tokens, cost, prompt_tokens_details} | nullটোকেন ব্যবহারের বিবরণ।
অন্যান্য OpenRouter Router ভ্যারিয়েন্ট
আরও মডেল: LLM
AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/openrouter/router/vision.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt